function [RES1,RES2,RES3,RES4]=moments(ARG)
% Нахождение моментов (по строкам) (пока для ранжированного ряда или несгруппированных данных)
% Вход  : ARG - ряд или матрица
% Выход : RES - четыре значения или столбика значений, рассчитанных для строк
% Зависимость : middleArith (среднее арифметическое)

[m,n]=size(ARG);

MA=middleArith(ARG);
for i=1:m
    TEMP=ARG(i,:)-MA(i,1);
    RES1(i,1)=sum(TEMP)/n;
    TEMP2=TEMP.*TEMP;
    RES2(i,1)=sum(TEMP2)/n;
    TEMP2=TEMP2.*TEMP;
    RES3(i,1)=sum(TEMP2)/n;
    TEMP2=TEMP2.*TEMP;
    RES4(i,1)=sum(TEMP2)/n;
end